LVMDUMP(8)

NAME
lvmdump - create lvm2 information dumps for diagnostic purposes

SYNOPSIS
lvmdump [options] [-d directory]

DESCRIPTION
lvmdump is a tool to dump various information concerning LVM2. By default, it creates a tarball suitable for submission along with a problem report.

The content of the tarball is as follows:
- dmsetup info
- table of currently running processes
- recent entries from /var/log/messages (containing system messages)
- complete lvm configuration and cache
- list of device nodes present under /dev
- if enabled with -m, metadata dump will be also included
- if enabled with -a, debug output of vgscan, pvscan and list of all available volume groups, physical volumes and logical volumes will be included
- if enabled with -c, cluster status info

OPTIONS

-h — print help message

-a — advanced collection
    WARNING: if lvm is already hung, then this script may hang as well if -a is used

-m — gather LVM metadata from the PVs
    This option generates a 1:1 dump of the metadata area from all PVs visible to the system, which can cause the dump to increase in size considerably. However, the metadata dump may represent a valuable diagnostic resource.

-d directory — dump into a directory instead of tarball
    By default, lvmdump will produce a single compressed tarball containing all the information. Using this option, it can be instructed to only produce the raw dump tree, rooted in directory.

-c — if clvmd is running, gather cluster data as well

ENVIRONMENT VARIABLES

LVM_BINARY
    The LVM2 binary to use. Defaults to "lvm". Sometimes you might need to set this to "/sbin/lvm.static", for example.

DMSETUP_BINARY
    The dmsetup binary to use. Defaults to "dmsetup".